Generation Framework

## org.eclipse.gmf.mappings
Interface Constraint

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ValueExpression

All Known Implementing Classes:
  ConstraintImpl

    public interface Constraint

extends ValueExpression

A representation of the model object 'Constraint'. Boolean type value expression which is to be evaluated in a context

See Also:
  `GMFMapPackage.getConstraint()`
** Generated **
Model:
  annotation="http://www.eclipse.org/gmf/2005/constraints/meta def='Constraint'"

Method Summary

Methods inherited from interface org.eclipse.gmf.mappings.ValueExpression
`getBody, getLangName, getLanguage, setBody, setLanguage`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.